<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
  /**
   * Run the migrations.
   */
  public function up(): void
  {
    Schema::create('class_rooms', function (Blueprint $table) {
      $table->id();

      $table->string('classRoomTitle');

      // TODO: add ->nullable()
      $table->string('location');

      // TODO: add ->nullable()
      $table->string('capacity');

      $table->string('deleted')->default('false');

      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   */
  public function down(): void
  {
    Schema::dropIfExists('class_rooms');
  }
};
